curl --request GET \
--url https://api.leadping.ai/transactions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.leadping.ai/transactions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/transactions/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.leadping.ai/transactions/{id}")
.header("Authorization", "Bearer <token>")
.asString();const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.leadping.ai/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/transactions/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/transactions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"organization": {
"id": "<string>",
"name": "<string>"
},
"lead": {
"id": "<string>",
"name": "<string>"
},
"amount": 123,
"netAmount": 123,
"billedAmount": 123,
"billingChannel": "lead",
"billableUnit": "lead_received",
"gatewayFeeAmount": 123,
"gatewayStatus": "<string>",
"platformFeeAmount": 123,
"notes": "<string>",
"description": "<string>",
"paymentMethodDisplay": "<string>",
"transactionType": "Debit",
"transactionStatus": "Pending",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}Get a current-user billing transaction
Returns one transaction visible to the current user, including amount, status, wallet context, and billing metadata.
Authorizations
Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.
Path Parameters
The ID of the transaction to retrieve.
Response
Transaction was successfully retrieved.
Describes billing transaction data returned by Leadping.
Provides a compact API reference to another resource using its stable identifier and human-readable display name.
Show child attributes
Show child attributes
Provides a compact API reference to another resource using its stable identifier and human-readable display name.
Show child attributes
Show child attributes
Monetary amount for this billing transaction or wallet operation.
Net monetary amount after fees, credits, or adjustments.
Customer-facing amount billed for the transaction.
Identifies the messaging, calling, phone-number, lookup, or platform channel that generated billable usage.
lead, sms, mms, email, voice, phone_number, warmup, website, openai, domain, 10dlc, payment, connection, automation Identifies the metered unit used to price Leadping usage, such as a message, call minute, lookup, or phone number.
lead_received, phone_identity_lookup, sms_segment, mms_message, email_message, voice_minute, phone_number_month, warmup_sms_segment, warmup_voice_minute, website_setup, openai_operation, domain_registration, 10dlc_application, 10dlc_campaign_month, payment_processing_fee, connection_action, automation_run Payment gateway fee amount charged for the wallet transaction.
Payment gateway status returned for this transaction.
Leadping platform fee amount included in the transaction.
Additional billing notes that explain the transaction for admins or customers.
Human-readable description that explains this billing transaction response to API users.
Masked or human-readable payment method shown for this transaction.
Classifies a wallet transaction as a debit, credit, refund, adjustment, deposit, or other balance movement.
Debit, Adjustment, Deposit Describes the processing and settlement lifecycle of a Leadping wallet or billing transaction.
Pending, Confirmed, Failed Stable unique identifier of the resource.
UTC timestamp when the resource was created.
UTC timestamp when the resource was last modified, or null when it has not been updated.

